/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2022-11-28 15:23:13Z
 *****************************************************************************/

#ifndef __RSSMX_ATTRIBUTES_HEADER
#define __RSSMX_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableDiscrete RsSmx_rngFrequencySweepSpacing;
extern RsCoreRangeTableDiscrete RsSmx_rngReferenceOscillatorSource;
extern RsCoreRangeTableRanged RsSmx_rngAMDepth;
extern RsCoreRangeTableDiscrete RsSmx_rngReferenceOscillatorExternalFrequency;
extern RsCoreRangeTableRanged RsSmx_rngFrequencySweepStepLog;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerUnit;
extern RsCoreRangeTableRanged RsSmx_rngPowerOffset;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerSource;
extern RsCoreRangeTableRanged RsSmx_rngPowerFilterLength;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerFilterMode;
extern RsCoreRangeTableRanged RsSmx_rngPowerFilterNSRatio;
extern RsCoreRangeTableRanged RsSmx_rngPowerFilterNSRatioTimeout;
extern RsCoreRangeTableDiscrete RsSmx_rngSlope;
extern RsCoreRangeTableDiscrete RsSmx_rngKeyboardLayout;
extern RsCoreRangeTableDiscrete RsSmx_rngUnitAngle;
extern RsCoreRangeTableDiscrete RsSmx_rngUnitPower;
extern RsCoreRangeTableDiscrete RsSmx_rngSystemIPAddressMode;
extern RsCoreRangeTableDiscrete RsSmx_rngHardCopyLanguage;
extern RsCoreRangeTableDiscrete RsSmx_rngTriggerSourceForAllSweeps;
extern RsCoreRangeTableDiscrete RsSmx_rngRFFrequencyonRecall;
extern RsCoreRangeTableRanged RsSmx_rngRFFrequencyOffset;
extern RsCoreRangeTableRanged RsSmx_rngRFDeltaPhase;
extern RsCoreRangeTableDiscrete RsSmx_rngROSCSynchronizationBandwidth;
extern RsCoreRangeTableRanged RsSmx_rngROSCAdjustmentFrequency;
extern RsCoreRangeTableRanged RsSmx_rngRFLevelOffset;
extern RsCoreRangeTableDiscrete RsSmx_rngRFAttenuatorMode;
extern RsCoreRangeTableRanged RsSmx_rngRFLevelVariationStep;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerOnState;
extern RsCoreRangeTableDiscrete RsSmx_rngALCEnabled;
extern RsCoreRangeTableDiscrete RsSmx_rngSweepMode;
extern RsCoreRangeTableRanged RsSmx_rngFrequencySweepDwellTime;
extern RsCoreRangeTableDiscrete RsSmx_rngFrequencySweepShape;
extern RsCoreRangeTableRanged RsSmx_rngLevelStep;
extern RsCoreRangeTableRanged RsSmx_rngLFSweepStepLog;
extern RsCoreRangeTableDiscrete RsSmx_rngAMExternalCoupling;
extern RsCoreRangeTableDiscrete RsSmx_rngPULMPolarity;
extern RsCoreRangeTableDiscrete RsSmx_rngPULMSource;
extern RsCoreRangeTableDiscrete RsSmx_rngPULMTriggerMode;
extern RsCoreRangeTableDiscrete RsSmx_rngFMMode;
extern RsCoreRangeTableDiscrete RsSmx_rngPMMode;
extern RsCoreRangeTableDiscrete RsSmx_rngCorrectionListMode;
extern RsCoreRangeTableDiscrete RsSmx_rngCorrectionASCIIExtension;
extern RsCoreRangeTableDiscrete RsSmx_rngASCIISeparator;
extern RsCoreRangeTableDiscrete RsSmx_rngASCIIDecimalSeparator;
extern RsCoreRangeTableRanged RsSmx_rngListDwellTime;
extern RsCoreRangeTableDiscrete RsSmx_rngListTriggerSource;
extern RsCoreRangeTableDiscrete RsSmx_rngRFLevelVariationActive;
extern RsCoreRangeTableDiscrete RsSmx_rngExternalInputImpedance;
extern RsCoreRangeTableDiscrete RsSmx_rngPULMTransitionType;
extern RsCoreRangeTableDiscrete RsSmx_rngPULMMode;
extern RsCoreRangeTableDiscrete RsSmx_rngALCDetectorSensitivity;
extern RsCoreRangeTableDiscrete RsSmx_rngRFAttRFOFFMode;
extern RsCoreRangeTableDiscrete RsSmx_rngLFGenShapeMode;
extern RsCoreRangeTableRanged RsSmx_rngLFGenPulsePeriod;
extern RsCoreRangeTableRanged RsSmx_rngLFGeneratorPulseWidth;
extern RsCoreRangeTableRanged RsSmx_rngLFGenPulseDutyCycle;
extern RsCoreRangeTableRanged RsSmx_rngLFGenTrapHigh;
extern RsCoreRangeTableDiscrete RsSmx_rngPGENOutputPolarity;
extern RsCoreRangeTableDiscrete RsSmx_rngRFLevelMode;
extern RsCoreRangeTableDiscrete RsSmx_rngRFLevelSettingCharacteristics;
extern RsCoreRangeTableDiscrete RsSmx_rngLFOutputSource;
extern RsCoreRangeTableDiscrete RsSmx_rngRFNoiseDistribution;
extern RsCoreRangeTableRanged RsSmx_rngRFNoiseBandwidth;
extern RsCoreRangeTableRanged RsSmx_rngLFOutputVoltage;
extern RsCoreRangeTableRanged RsSmx_rngLFOutputDCOffset;
extern RsCoreRangeTableDiscrete RsSmx_rngAMSource;
extern RsCoreRangeTableDiscrete RsSmx_rngFMSource;
extern RsCoreRangeTableDiscrete RsSmx_rngPMSource;
extern RsCoreRangeTableDiscrete RsSmx_rngRefOscOutputFreqMode;
extern RsCoreRangeTableDiscrete RsSmx_rngPULMImpedance;
extern RsCoreRangeTableCoerced RsSmx_rngSystemSerialBaud;
extern RsCoreRangeTableDiscrete RsSmx_rngSystemSerialParity;
extern RsCoreRangeTableCoerced RsSmx_rngSystemSerialStopBits;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerDisplayPermanent;
extern RsCoreRangeTableDiscrete RsSmx_rngListRunMode;
extern RsCoreRangeTableDiscrete RsSmx_rngListDwellTimeMode;
extern RsCoreRangeTableDiscrete RsSmx_rngExternalInputCouplingMode;
extern RsCoreRangeTableDiscrete RsSmx_rngHardCopyRegion;
extern RsCoreRangeTableDiscrete RsSmx_rngRFFrequencyMode;
extern RsCoreRangeTableDiscrete RsSmx_rngSweepTriggerSource;
extern RsCoreRangeTableDiscrete RsSmx_rngMode;
extern RsCoreRangeTableDiscrete RsSmx_rngRFPowerMode;
extern RsCoreRangeTableDiscrete RsSmx_rngOutputImpedance;
extern RsCoreRangeTableDiscrete RsSmx_rngLFOutputSourcePath;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerSensorMapping;
extern RsCoreRangeTableDiscrete RsSmx_rngCalibrationLevelBandwidth;
extern RsCoreRangeTableDiscrete RsSmx_rngCalibrationLevelCalibrationData;
extern RsCoreRangeTableDiscrete RsSmx_rngRFFrequencyMainPLLBandwidth;
extern RsCoreRangeTableDiscrete RsSmx_rngRFLevelHarmonicFilter;
extern RsCoreRangeTableDiscrete RsSmx_rngClockSynthesisOutputType;
extern RsCoreRangeTableRanged RsSmx_rngClockSynthesisPower;
extern RsCoreRangeTableRanged RsSmx_rngClockSynthesisDCOffset;
extern RsCoreRangeTableRanged RsSmx_rngClockSynthesisVoltage;
extern RsCoreRangeTableRanged RsSmx_rngClockSynthesisPhase;
extern RsCoreRangeTableRanged RsSmx_rngClockSynthesisFrequencyVariationStep;
extern RsCoreRangeTableRanged RsSmx_rngClockSynthesisLevelVariationStep;
extern RsCoreRangeTableRanged RsSmx_rngDisplayBrightness;
extern RsCoreRangeTableRanged RsSmx_rngDisplayButtonBrightness;
extern RsCoreRangeTableDiscrete RsSmx_rngSelftestResult;
extern RsCoreRangeTableDiscrete RsSmx_rngReferenceOscillatorVoltageTuningSensitivity;
extern RsCoreRangeTableRanged RsSmx_rngReferenceOscillatorUserDefinedExternalFrequency;
extern RsCoreRangeTableDiscrete RsSmx_rngSystemUserInterfaceLock;
extern RsCoreRangeTableDiscrete RsSmx_rngListMode;
extern RsCoreRangeTableRanged RsSmx_rngAMDeviationRatio;
extern RsCoreRangeTableRanged RsSmx_rngFMRatio;
extern RsCoreRangeTableRanged RsSmx_rngPMRatio;
extern RsCoreRangeTableRanged RsSmx_rngPulseModulationWidth;
extern RsCoreRangeTableRanged RsSmx_rngPulseModulationThreshold;
extern RsCoreRangeTableDiscrete RsSmx_rngLFOutputExternalLFBandwidth;
extern RsCoreRangeTableDiscrete RsSmx_rngReferenceOscillatorOutputReferenceFrequency;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMeasurementSteps;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisTimingMode;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisAutoScale;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMeasurementPower;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisDiagramPower;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMeasurementTime;
extern RsCoreRangeTableRanged RsSmx_rngOffset;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisTriggerDropOutTime;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisTriggerHysteresis;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisTriggerLevel;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisPulseParam;
extern RsCoreRangeTableRanged RsSmx_rngADFDepth;
extern RsCoreRangeTableRanged RsSmx_rngADFPeriod;
extern RsCoreRangeTableDiscrete RsSmx_rngDeviationMode;
extern RsCoreRangeTableRanged RsSmx_rngAMDepthExponential;
extern RsCoreRangeTableRanged RsSmx_rngAMDepthLinear;
extern RsCoreRangeTableDiscrete RsSmx_rngPhaseContinuityMode;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerDashLength;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerDepth;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerDotLength;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerLetterSpace;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerPeriod;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerSymbolSpace;
extern RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerTimeSchema;
extern RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerFlyMode;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerDDMLogarithmic;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerDDMPercent;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerDDMDepth;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerLeftFrequency;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerLeftRightPhase;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerRightFrequency;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerSumOfDepth;
extern RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerEXTAM;
extern RsCoreRangeTableDiscrete RsSmx_rngILSGSFlyMode;
extern RsCoreRangeTableRanged RsSmx_rngILSGSDDMLogarithmic;
extern RsCoreRangeTableRanged RsSmx_rngILSGSDDMPercent;
extern RsCoreRangeTableRanged RsSmx_rngILSGSDDMDepth;
extern RsCoreRangeTableRanged RsSmx_rngILSGSDownFrequency;
extern RsCoreRangeTableDiscrete RsSmx_rngILSGSOperatingMode;
extern RsCoreRangeTableRanged RsSmx_rngILSGSUpDownPhase;
extern RsCoreRangeTableRanged RsSmx_rngILSGSSumOfDepth;
extern RsCoreRangeTableDiscrete RsSmx_rngILSGSEXTAM;
extern RsCoreRangeTableRanged RsSmx_rngILSGSUpFrequency;
extern RsCoreRangeTableRanged RsSmx_rngDeviationTotal;
extern RsCoreRangeTableDiscrete RsSmx_rngSweepType;
extern RsCoreRangeTableDiscrete RsSmx_rngMarkerPolarity;
extern RsCoreRangeTableRanged RsSmx_rngSweepTime;
extern RsCoreRangeTableRanged RsSmx_rngVORDashLength;
extern RsCoreRangeTableRanged RsSmx_rngVORDepth;
extern RsCoreRangeTableRanged RsSmx_rngVORDotLength;
extern RsCoreRangeTableRanged RsSmx_rngVORLetterSpace;
extern RsCoreRangeTableRanged RsSmx_rngVORPeriod;
extern RsCoreRangeTableRanged RsSmx_rngVORSymbolSpace;
extern RsCoreRangeTableDiscrete RsSmx_rngVORTimeSchema;
extern RsCoreRangeTableDiscrete RsSmx_rngVORMode;
extern RsCoreRangeTableRanged RsSmx_rngVORREFDeviation;
extern RsCoreRangeTableDiscrete RsSmx_rngVOREXTAM;
extern RsCoreRangeTableRanged RsSmx_rngVORSubcarrierDepth;
extern RsCoreRangeTableRanged RsSmx_rngVORVARREFFrequency;
extern RsCoreRangeTableRanged RsSmx_rngVORVARDepth;
extern RsCoreRangeTableRanged RsSmx_rngVORBearingAngle;
extern RsCoreRangeTableDiscrete RsSmx_rngVORDirection;
extern RsCoreRangeTableRanged RsSmx_rngILSMBDashLength;
extern RsCoreRangeTableRanged RsSmx_rngILSMBDepth;
extern RsCoreRangeTableRanged RsSmx_rngILSMBDotLength;
extern RsCoreRangeTableRanged RsSmx_rngILSMBLetterSpace;
extern RsCoreRangeTableRanged RsSmx_rngILSMBPeriod;
extern RsCoreRangeTableRanged RsSmx_rngILSMBSymbolSpace;
extern RsCoreRangeTableDiscrete RsSmx_rngILSMBTimeSchema;
extern RsCoreRangeTableRanged RsSmx_rngILSMBMarkerDepth;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisTraceState;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisTraceSource;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisTraceColor;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisMathFrequencySubtract;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisMeasurementMode;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisFrequency;
extern RsCoreRangeTableCoerced RsSmx_rngPowerAnalysisTimeAverage;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisMeasurementExecution;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisTimeTriggerEvents;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisDiagramBackgroundColor;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisGateTrace;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisSensorFrequencySeparateFreq;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisPulseDataBase;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisTriggerMode;
extern RsCoreRangeTableDiscrete RsSmx_rngSweepModeOutputVoltageMode;
extern RsCoreRangeTableDiscrete RsSmx_rngSweepModeOutputMarkerMode;
extern RsCoreRangeTableRanged RsSmx_rngAMSensitivity;
extern RsCoreRangeTableDiscrete RsSmx_rngAMMode;
extern RsCoreRangeTableDiscrete RsSmx_rngAMType;
extern RsCoreRangeTableDiscrete RsSmx_rngSweepActiveMarker;
extern RsCoreRangeTableDiscrete RsSmx_rngScreenshotDevice;
extern RsCoreRangeTableDiscrete RsSmx_rngScreenshotSize;
extern RsCoreRangeTableDiscrete RsSmx_rngScreenshotFormat;
extern RsCoreRangeTableDiscrete RsSmx_rngScreenshotCSVHeaderEnabled;
extern RsCoreRangeTableDiscrete RsSmx_rngScreenshotCSVOrientation;
extern RsCoreRangeTableDiscrete RsSmx_rngScreenshotCSVColumnSeparator;
extern RsCoreRangeTableDiscrete RsSmx_rngScreenshotCSVDecimalSeparator;
extern RsCoreRangeTableDiscrete RsSmx_rngVORCarrierFrequencyMode;
extern RsCoreRangeTableRanged RsSmx_rngVORCarrierFrequency;
extern RsCoreRangeTableDiscrete RsSmx_rngVORICAOChannel;
extern RsCoreRangeTableRanged RsSmx_rngVORSubcarrierFrequency;
extern RsCoreRangeTableRanged RsSmx_rngVORFrequency;
extern RsCoreRangeTableDiscrete RsSmx_rngILSComponent;
extern RsCoreRangeTableDiscrete RsSmx_rngILSGSCarrierFrequencyMode;
extern RsCoreRangeTableRanged RsSmx_rngILSGSCarrierFrequency;
extern RsCoreRangeTableDiscrete RsSmx_rngILSGSICAOChannel;
extern RsCoreRangeTableDiscrete RsSmx_rngILSGSDDMPolarity;
extern RsCoreRangeTableDiscrete RsSmx_rngILSGSDDMStep;
extern RsCoreRangeTableRanged RsSmx_rngILSGSDDMCurrent;
extern RsCoreRangeTableDiscrete RsSmx_rngILSGSDDMCoupling;
extern RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerCarrierFrequencyMode;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerCarrierFrequency;
extern RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerICAOChannel;
extern RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerOperatingMode;
extern RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerDDMPolarity;
extern RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerDDMCoupling;
extern RsCoreRangeTableDiscrete RsSmx_rngILSLocalizerDDMStep;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerDDMCurrent;
extern RsCoreRangeTableRanged RsSmx_rngILSLocalizerFrequency;
extern RsCoreRangeTableDiscrete RsSmx_rngILSMBCarrierFrequencyMode;
extern RsCoreRangeTableRanged RsSmx_rngILSMBCarrierFrequency;
extern RsCoreRangeTableDiscrete RsSmx_rngILSMBMarkerFrequency;
extern RsCoreRangeTableRanged RsSmx_rngILSMBFrequency;
extern RsCoreRangeTableRanged RsSmx_rngADFFrequency;
extern RsCoreRangeTableDiscrete RsSmx_rngADFTimeSchema;
extern RsCoreRangeTableRanged RsSmx_rngADFDotLength;
extern RsCoreRangeTableRanged RsSmx_rngADFDashLength;
extern RsCoreRangeTableRanged RsSmx_rngADFSymbolSpace;
extern RsCoreRangeTableRanged RsSmx_rngADFLetterSpace;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisTimeMax;
extern RsCoreRangeTableRanged RsSmx_rngChirpModulationBandwidth;
extern RsCoreRangeTableRanged RsSmx_rngChirpModulationCompressionRatio;
extern RsCoreRangeTableDiscrete RsSmx_rngChirpModulationDirection;
extern RsCoreRangeTableRanged RsSmx_rngChirpModulationPulsePeriod;
extern RsCoreRangeTableRanged RsSmx_rngChirpModulationPulseWidth;
extern RsCoreRangeTableDiscrete RsSmx_rngChirpModulationTriggerMode;
extern RsCoreRangeTableDiscrete RsSmx_rngRFCombinedSweepTriggerSource;
extern RsCoreRangeTableRanged RsSmx_rngRFCombinedSweepRangePower;
extern RsCoreRangeTableRanged RsSmx_rngRFCombinedSweepStepCount;
extern RsCoreRangeTableRanged RsSmx_rngRFCombinedSweepDwellTime;
extern RsCoreRangeTableDiscrete RsSmx_rngRFCombinedSweepMode;
extern RsCoreRangeTableRanged RsSmx_rngRFCombinedSweepRangeFrequency;
extern RsCoreRangeTableDiscrete RsSmx_rngRFCombinedSweepShape;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMathFrequencyX;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMathPowerY;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMathPowerX;
extern RsCoreRangeTableRanged RsSmx_rngPowerAnalysisMathTimeX;
extern RsCoreRangeTableRanged RsSmx_rngPhaseContinuityFrequency;
extern RsCoreRangeTableRanged RsSmx_rngALCExternalDetectorCouplingFactor;
extern RsCoreRangeTableRanged RsSmx_rngALCExternalDetectorRequiredGeneratorLevel;
extern RsCoreRangeTableDiscrete RsSmx_rngPowerAnalysisSource;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSSMX_ATTR_ALL_RF_OUTPUTS_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_OUTPUT_IMPEDANCE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ON_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_ON_RECALL;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_ON_RECALL;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_MAIN_PLL_BANDWIDTH;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_MULTIPLIER;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_VARIATION_ACTIVE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_VARIATION_STEP;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_MAX;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_PHASE_CONTINUITY_MIN;
extern RsCoreAttribute g_RSSMX_ATTR_RF_AMPLITUDE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_POWER_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_LIMIT;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_OFFSET;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_SETTING_CHARACTERISTICS;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_POWER;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_HARMONIC_FILTER;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_LOWER_RANGE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_UPPER_RANGE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_RANGE_MIN;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_RANGE_MAX;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_IGNORE_WARNINGS;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_VARIATION_ACTIVE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_VARIATION_STEP;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_DISPLAY_AS_VOLTAGE_OF_EMF;
extern RsCoreAttribute g_RSSMX_ATTR_RF_ATTENUATOR_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_ATTENUATOR_LOWER_RANGE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_ATTENUATOR_UPPER_RANGE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_ATTENUATOR_RF_OFF_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_OVERVOLTAGE_PROTECTION_CLEAR;
extern RsCoreAttribute g_RSSMX_ATTR_OVERVOLTAGE_PROTECTION_TRIPPED;
extern RsCoreAttribute g_RSSMX_ATTR_ALC_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_ALC_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_ALC_READJUST;
extern RsCoreAttribute g_RSSMX_ATTR_ALC_DETECTOR_SENSITIVITY;
extern RsCoreAttribute g_RSSMX_ATTR_ALC_RECALCULATE;
extern RsCoreAttribute g_RSSMX_ATTR_ALC_LEVEL_CONTROL_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_ALC_EXTERNAL_DETECTOR_COUPLING_FACTOR;
extern RsCoreAttribute g_RSSMX_ATTR_ALC_EXTERNAL_DETECTOR_REQUIRED_GENERATOR_LEVEL;
extern RsCoreAttribute g_RSSMX_ATTR_RF_DELTA_PHASE;
extern RsCoreAttribute g_RSSMX_ATTR_RESET_RF_DELTA_PHASE_DISPLAY;
extern RsCoreAttribute g_RSSMX_ATTR_ALL_MODULATIONS_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_AM_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_AM_TYPE;
extern RsCoreAttribute g_RSSMX_ATTR_AM_EXTERNAL_COUPLING;
extern RsCoreAttribute g_RSSMX_ATTR_AM_SENSITIVITY;
extern RsCoreAttribute g_RSSMX_ATTR_AM_DEVIATION_RATIO;
extern RsCoreAttribute g_RSSMX_ATTR_AM_DEVIATION_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_AM_DEPTH_TOTAL;
extern RsCoreAttribute g_RSSMX_ATTR_AM_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_AM_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_AM_DEPTH;
extern RsCoreAttribute g_RSSMX_ATTR_AM_DEPTH_LINEAR;
extern RsCoreAttribute g_RSSMX_ATTR_AM_DEPTH_EXPONENTIAL;
extern RsCoreAttribute g_RSSMX_ATTR_AM_SENSITIVITY_EXPONENTIAL;
extern RsCoreAttribute g_RSSMX_ATTR_AM_SENSITIVITY_LINEAR;
extern RsCoreAttribute g_RSSMX_ATTR_FM_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_FM_DEVIATION_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_FM_DEVIATION_TOTAL;
extern RsCoreAttribute g_RSSMX_ATTR_FM_SENSITIVITY;
extern RsCoreAttribute g_RSSMX_ATTR_FM_RATIO;
extern RsCoreAttribute g_RSSMX_ATTR_FM_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_FM_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_FM_DEVIATION;
extern RsCoreAttribute g_RSSMX_ATTR_PM_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_PM_SENSITIVITY;
extern RsCoreAttribute g_RSSMX_ATTR_PM_RATIO;
extern RsCoreAttribute g_RSSMX_ATTR_PM_DEVIATION_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_PM_DEVIATION_TOTAL;
extern RsCoreAttribute g_RSSMX_ATTR_PM_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_PM_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_PM_DEVIATION;
extern RsCoreAttribute g_RSSMX_ATTR_PULM_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_PULM_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_PULM_TRANSITION_TYPE;
extern RsCoreAttribute g_RSSMX_ATTR_PULM_VIDEO_POLARITY;
extern RsCoreAttribute g_RSSMX_ATTR_PULM_POLARITY;
extern RsCoreAttribute g_RSSMX_ATTR_PULM_IMPEDANCE;
extern RsCoreAttribute g_RSSMX_ATTR_PULM_THRESHOLD;
extern RsCoreAttribute g_RSSMX_ATTR_PGEN_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_PGEN_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_PGEN_MODE_DOUBLE;
extern RsCoreAttribute g_RSSMX_ATTR_PGEN_TRIGGER_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_TRIGGER_PULSE_GENERATOR;
extern RsCoreAttribute g_RSSMX_ATTR_PGEN_PERIOD;
extern RsCoreAttribute g_RSSMX_ATTR_PGEN_WIDTH;
extern RsCoreAttribute g_RSSMX_ATTR_PGEN_DOUBLE_DELAY;
extern RsCoreAttribute g_RSSMX_ATTR_PGEN_DOUBLE_WIDTH;
extern RsCoreAttribute g_RSSMX_ATTR_PGEN_DELAY;
extern RsCoreAttribute g_RSSMX_ATTR_PGEN_OUTPUT;
extern RsCoreAttribute g_RSSMX_ATTR_PGEN_OUTPUT_POLARITY;
extern RsCoreAttribute g_RSSMX_ATTR_PULM_TRAIN_DELETE;
extern RsCoreAttribute g_RSSMX_ATTR_PULM_TRAIN_SELECT;
extern RsCoreAttribute g_RSSMX_ATTR_PULM_TRAIN_OFF_TIME_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_PULM_TRAIN_ON_TIME_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_PULM_TRAIN_REPETITION_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_IMPORT_EXPORT;
extern RsCoreAttribute g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_FILE;
extern RsCoreAttribute g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_FILE;
extern RsCoreAttribute g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_EXTENSION;
extern RsCoreAttribute g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_COLUMN_SEPARATOR;
extern RsCoreAttribute g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_ASCII_DECIMAL_SEPARATOR;
extern RsCoreAttribute g_RSSMX_ATTR_PULSE_TRAIN_DATA_EXCHANGE_EXECUTE;
extern RsCoreAttribute g_RSSMX_ATTR_LF_OUTPUT_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_LF_OUTPUT_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_LF_OUTPUT_SOURCE_PATH;
extern RsCoreAttribute g_RSSMX_ATTR_LF_OUTPUT_VOLTAGE;
extern RsCoreAttribute g_RSSMX_ATTR_LF_OUTPUT_DC_OFFSET;
extern RsCoreAttribute g_RSSMX_ATTR_LF_OUTPUT_EXTERNAL_LF_BANDWIDTH;
extern RsCoreAttribute g_RSSMX_ATTR_LF_GENERATOR_INTERNAL_VOLTAGE;
extern RsCoreAttribute g_RSSMX_ATTR_LF_GENERATOR_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_LF_GENERATOR_REPETITION_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_LF_GENERATOR_SHAPE;
extern RsCoreAttribute g_RSSMX_ATTR_LF_GENERATOR_PULSE_PERIOD;
extern RsCoreAttribute g_RSSMX_ATTR_LF_GENERATOR_PULSE_WIDTH;
extern RsCoreAttribute g_RSSMX_ATTR_LF_GENERATOR_PULSE_DUTY_CYCLE;
extern RsCoreAttribute g_RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_PERIOD;
extern RsCoreAttribute g_RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_RISE;
extern RsCoreAttribute g_RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_FALL;
extern RsCoreAttribute g_RSSMX_ATTR_LF_GENERATOR_TRAPEZOID_HIGH;
extern RsCoreAttribute g_RSSMX_ATTR_LF_GENERATOR_TRIANGLE_PERIOD;
extern RsCoreAttribute g_RSSMX_ATTR_LF_GENERATOR_TRIANGLE_RISE;
extern RsCoreAttribute g_RSSMX_ATTR_EXTERNAL_INPUT_COUPLING_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_EXTERNAL_INPUT_IMPEDANCE;
extern RsCoreAttribute g_RSSMX_ATTR_NOISE_DISTRIBUTION;
extern RsCoreAttribute g_RSSMX_ATTR_NOISE_BANDWIDTH;
extern RsCoreAttribute g_RSSMX_ATTR_NOISE_BANDWIDTH_STATE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_NOISE_DENSITY;
extern RsCoreAttribute g_RSSMX_ATTR_NOISE_LEVEL;
extern RsCoreAttribute g_RSSMX_ATTR_CHIRP_MODULATION_STATE;
extern RsCoreAttribute g_RSSMX_ATTR_CHIRP_MODULATION_BANDWIDTH;
extern RsCoreAttribute g_RSSMX_ATTR_CHIRP_MODULATION_COMPRESSION_RATIO;
extern RsCoreAttribute g_RSSMX_ATTR_CHIRP_MODULATION_DIRECTION;
extern RsCoreAttribute g_RSSMX_ATTR_CHIRP_MODULATION_PULSE_PERIOD;
extern RsCoreAttribute g_RSSMX_ATTR_CHIRP_MODULATION_PULSE_WIDTH;
extern RsCoreAttribute g_RSSMX_ATTR_CHIRP_MODULATION_TRIGGER_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_CHIRP_MODULATION_EXECUTE_SINGLE_TRIGGER;
extern RsCoreAttribute g_RSSMX_ATTR_SWEEP_TYPE;
extern RsCoreAttribute g_RSSMX_ATTR_LF_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_TRIGGER_SOURCE_FOR_ALL_SWEEPS;
extern RsCoreAttribute g_RSSMX_ATTR_TRIGGER_INPUT_SLOPE;
extern RsCoreAttribute g_RSSMX_ATTR_RESET_ALL_SWEEPS;
extern RsCoreAttribute g_RSSMX_ATTR_TRIGGER_ALL_SWEEPS;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_STATUS;
extern RsCoreAttribute g_RSSMX_ATTR_HIDDEN_RF_FREQUENCY_SWEEP_BLANK_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_FREQUENCY_SWEEP_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_RETRACE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_MANUAL_STEP;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_SHAPE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_TIME;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_DWELL_TIME;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_EXECUTE;
extern RsCoreAttribute g_RSSMX_ATTR_TRIGGER_RF_FREQUENCY_SWEEP;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_START_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_STOP_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_SPAN;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_SPACING;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_STEP_LIN;
extern RsCoreAttribute g_RSSMX_ATTR_RF_FREQUENCY_SWEEP_STEP_LOG;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_STATUS;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_RETRACE;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_MANUAL_STEP;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_SHAPE;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_DWELL_TIME;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_EXECUTE;
extern RsCoreAttribute g_RSSMX_ATTR_TRIGGER_LF_FREQUENCY_SWEEP;
extern RsCoreAttribute g_RSSMX_ATTR_TRIGGER_LF_FREQUENCY_SWEEP_AUTO;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_START_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_STOP_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_SPACING;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_STEP_LIN;
extern RsCoreAttribute g_RSSMX_ATTR_LF_FREQUENCY_SWEEP_STEP_LOG;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_SWEEP_STATUS;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_SWEEP_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_SWEEP_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_SWEEP_RETRACE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_SWEEP_MANUAL_STEP;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_SWEEP_SHAPE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_SWEEP_DWELL_TIME;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_SWEEP_EXECUTE;
extern RsCoreAttribute g_RSSMX_ATTR_TRIGGER_RF_LEVEL_SWEEP;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_SWEEP_START_LEVEL;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_SWEEP_STOP_LEVEL;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_SWEEP_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_RF_LEVEL_SWEEP_STEP;
extern RsCoreAttribute g_RSSMX_ATTR_RF_COMBINED_SWEEP_EXECUTE_SINGLE_SWEEP;
extern RsCoreAttribute g_RSSMX_ATTR_RF_COMBINED_SWEEP_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_COMBINED_SWEEP_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_COMBINED_SWEEP_RETRACE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_COMBINED_SWEEP_SHAPE;
extern RsCoreAttribute g_RSSMX_ATTR_RF_COMBINED_SWEEP_DWELL_TIME;
extern RsCoreAttribute g_RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_FREQUENCY_START;
extern RsCoreAttribute g_RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_FREQUENCY_STOP;
extern RsCoreAttribute g_RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_POWER_START;
extern RsCoreAttribute g_RSSMX_ATTR_RF_COMBINED_SWEEP_RANGE_POWER_STOP;
extern RsCoreAttribute g_RSSMX_ATTR_RF_COMBINED_SWEEP_STEP_COUNT;
extern RsCoreAttribute g_RSSMX_ATTR_SWEEP_MODE_OUTPUT_VOLTAGE_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_SWEEP_MODE_OUTPUT_MARKER_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_SWEEP_MARKER_POLARITY;
extern RsCoreAttribute g_RSSMX_ATTR_SWEEP_ACTIVE_MARKER;
extern RsCoreAttribute g_RSSMX_ATTR_SWEEP_MARKER_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_SWEEP_MARKER_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_STATUS;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_INDEX;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_TRIGGER_EXECUTE;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_DWELL_TIME_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_DWELL_TIME;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_DWELL_TIME_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_RUN_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_DELETE_LIST;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_DELETE_ALL;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_FREE_MEMORY;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_RESET_LIST;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_SELECT_LIST;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_START_INDEX;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_STOP_INDEX;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_FREQUENCY_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_LEVEL_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_IMPORT_EXPORT;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_IMPORT_EXPORT_FILE;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_FILE;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_EXTENSION;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_COLUMN_SEPARATOR;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_IMPORT_EXPORT_ASCII_DECIMAL_SEPARATOR;
extern RsCoreAttribute g_RSSMX_ATTR_LIST_IMPORT_EXPORT_EXECUTE;
extern RsCoreAttribute g_RSSMX_ATTR_USER_CORRECTION_DATA_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_USER_CORRECTION_DATA_TABLE;
extern RsCoreAttribute g_RSSMX_ATTR_USER_CORRECTION_DATA_NUMBER_OF_FREQUENCY_VALUES;
extern RsCoreAttribute g_RSSMX_ATTR_USER_CORRECTION_DATA_NUMBER_OF_LEVEL_VALUES;
extern RsCoreAttribute g_RSSMX_ATTR_USER_CORRECTION_DATA_SENSOR_ZEROING;
extern RsCoreAttribute g_RSSMX_ATTR_USER_CORRECTION_DATA_VALUE;
extern RsCoreAttribute g_RSSMX_ATTR_USER_CORRECTION_DATA_DELETE;
extern RsCoreAttribute g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE;
extern RsCoreAttribute g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_FILE;
extern RsCoreAttribute g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_ASCII_FILE;
extern RsCoreAttribute g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_EXTENSION;
extern RsCoreAttribute g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_COLUMN_SEPARATOR;
extern RsCoreAttribute g_RSSMX_ATTR_USER_CORRECTION_DATA_EXCHANGE_DECIMAL_SEPARATOR;
extern RsCoreAttribute g_RSSMX_ATTR_CORRECTION_EXECUTE;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_CARRIER_FREQUENCY_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_USER_MODE_CARRIER_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_ICAO_CHANNEL;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_EXT_AM;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_VAR_REF_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_VAR_DEPTH;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_SUBCARRIER_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_SUBCARRIER_DEPTH;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_REF_DEVIATION;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_BEARING_ANGLE;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_DIRECTION;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_COMID_STATE;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_CODE;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_PERIOD;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_DEPTH;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_TIME_SCHEMA;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_DOT_LENGTH;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_DASH_LENGTH;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_SYMBOL_SPACE;
extern RsCoreAttribute g_RSSMX_ATTR_VOR_LETTER_SPACE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_COMPONENT;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_CARRIER_FREQUENCY_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_CARRIER_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_ICAO_CHANNEL;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_SYNC_WITH_LOCALIZER;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_EXT_AM;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_OPERATING_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_DDM_POLARITY;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_UP_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_DOWN_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_UPDOWN_PHASE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_FLY_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_SUM_OF_DEPTH;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_DDM_COUPLING;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_DDM_STEP;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_DDM_CURRENT;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_DDM_DEPTH;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_DDM_LOGARITHMIC;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_GS_DDM_PERCENT;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_CARRIER_FREQUENCY_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_CARRIER_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_ICAO_CHANNEL;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_SYNC_WITH_GS;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_EXT_AM;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_OPERATING_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_DDM_POLARITY;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_LEFT_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_RIGHT_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_LEFT_RIGHT_PHASE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_FLY_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_SUM_OF_DEPTH;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_DDM_COUPLING;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_DDM_STEP;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_DDM_CURRENT;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_DDM_DEPTH;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_DDM_LOGARITHMIC;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_DDM_PERCENT;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_COMID_STATE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_CODE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_PERIOD;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_DEPTH;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_TIME_SCHEMA;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_DOT_LENGTH;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_DASH_LENGTH;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_SYMBOL_SPACE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_LOCALIZER_LETTER_SPACE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_CARRIER_FREQUENCY_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_CARRIER_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_MARKER_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_MARKER_DEPTH;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_PULSED_MARKER;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_COMID_STATE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_CODE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_PERIOD;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_DEPTH;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_TIME_SCHEMA;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_DOT_LENGTH;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_DASH_LENGTH;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_SYMBOL_SPACE;
extern RsCoreAttribute g_RSSMX_ATTR_ILS_MB_LETTER_SPACE;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_SET_TO_DEFAULT;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_SETTINGS_CATALOG;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_DELETE_SETTINGS;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_RECALL_SETTINGS;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_SAVE_SETTINGS;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_COM_ID_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_CODE;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_PERIOD;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_DEPTH;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_TIME_SCHEMA;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_DOT_LENGTH;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_DASH_LENGTH;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_SYMBOL_SPACE;
extern RsCoreAttribute g_RSSMX_ATTR_ADF_LETTER_SPACE;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_PRESET;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_EFC_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_VOLTAGE_TUNING_SENSITIVITY;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_RF_SWITCH_OFF_ACTIVE;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_EXTERNAL_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_USER_DEFINED_EXTERNAL_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_SYNCHRONIZATION_BANDWIDTH;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_NOMINAL_SYNCHRONIZATION_BANDWIDTH;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_OUTPUT_FREQUENCY_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_OUTPUT_REFERENCE_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_DAC_ACTIVE;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_ADJUSTMENT_DAC_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_REFERENCE_OSCILLATOR_MINIMUM_LOCKING_RANGE;
extern RsCoreAttribute g_RSSMX_ATTR_CLOCK_SYNTHESIS_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_CLOCK_SYNTHESIS_OUTPUT_TYPE;
extern RsCoreAttribute g_RSSMX_ATTR_CLOCK_SYNTHESIS_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_CLOCK_SYNTHESIS_POWER;
extern RsCoreAttribute g_RSSMX_ATTR_CLOCK_SYNTHESIS_DC_OFFSET_STATE;
extern RsCoreAttribute g_RSSMX_ATTR_CLOCK_SYNTHESIS_DC_OFFSET;
extern RsCoreAttribute g_RSSMX_ATTR_CLOCK_SYNTHESIS_VOLTAGE;
extern RsCoreAttribute g_RSSMX_ATTR_CLOCK_SYNTHESIS_PHASE;
extern RsCoreAttribute g_RSSMX_ATTR_CLOCK_SYNTHESIS_RESET_DELTA_PHASE_VALUE;
extern RsCoreAttribute g_RSSMX_ATTR_CLOCK_SYNTHESIS_FREQUENCY_VARIATION_ACTIVE;
extern RsCoreAttribute g_RSSMX_ATTR_CLOCK_SYNTHESIS_FREQUENCY_VARIATION_STEP;
extern RsCoreAttribute g_RSSMX_ATTR_CLOCK_SYNTHESIS_LEVEL_VARIATION_ACTIVE;
extern RsCoreAttribute g_RSSMX_ATTR_CLOCK_SYNTHESIS_LEVEL_VARIATION_STEP;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_CONTINUOUS;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_READ_POWER;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_UNIT;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_DEFAULT_APERTURE_TIME_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_APERTURE_TIME;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_USE_SPARAMETERS;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_S_PARAMETER_DATA_SET;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_S_PARAMETER_DATA_SET_LIST;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_DISPLAY_PERMANENT_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_DISPLAY_PERMANENT;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_LOGGING_STATE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_OFFSET;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_OFFSET_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ZERO;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_FILTER_LENGTH_AUTO;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_FILTER_LENGTH;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_FILTER_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_FILTER_NS_RATIO;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_FILTER_NS_RATIO_TIMEOUT;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_FILTER_SEARCH_ONCE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_SENSOR_DEVICE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_SENSOR_TYPE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_SENSOR_VERSION;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_SENSOR_SERIAL_NUMBER;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_SENSOR_MAPPING_SCAN_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_SENSOR_MAPPING_LIST;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_SENSOR_MAPPING_ADD_LAN_SENSOR;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_SENSOR_MAPPING_ADD_USB_SENSOR;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_SENSOR_MAPPING_REMOVE_LAN_SENSORS;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_SENSOR_MAPPING_REMOVE_USB_SENSORS;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_SENSOR_MAPPING_REMOVE_ALL;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_INITIATE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_ABORT;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_STATE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_REFERENCE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_COLOR;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_POWER_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TIME_SOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_FREQUENCY_REFERENCE;
extern RsCoreAttribute g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_FREQUENCY_REFERENCE_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_POWER_REFERENCE;
extern RsCoreAttribute g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_POWER_REFERENCE_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_TIME_REFERENCE;
extern RsCoreAttribute g_RSSMX_ATTR_GENERATE_POWER_ANALYSIS_TIME_REFERENCE_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_SUBTRACT;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_X;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MATH_FREQUENCY_Y;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_SUBTRACT;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_X;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MATH_POWER_Y;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_SUBTRACT;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_X;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MATH_TIME_Y;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TRACE_DATA_POINTS;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MEASUREMENT_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_MEASUREMENT_EXECUTION;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_MIN;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_MAX;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_STEPS;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_TIMING;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_SPACING;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_FREQUENCY_EXECUTION;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_POWER_MIN;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_POWER_MAX;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_POWER_STEPS;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_POWER_TIMING;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_POWER_EXECUTION;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TIME_MIN;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TIME_MAX;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TIME_STEPS;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TIME_AVERAGE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TIME_EXECUTION;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TIME_TRIGGER_EVENTS;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_GRID_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_BACKGROUND_COLOR;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_STANDARD_VIEW_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_MARKER_VIEW_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_PULSE_DATA_VIEW_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FULLSCREEN_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_MIN;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_MAX;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_AUTO_SCALE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_FREQUENCY_AUTO_SCALE_RESET;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_MIN;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_MAX;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_AUTO_SCALE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_POWER_AUTO_SCALE_RESET;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_MIN;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_MAX;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_AUTO_SCALE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_DIAGRAM_TIME_AUTO_SCALE_RESET;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_GATE_INDICATION_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_GATE_TRACE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_GATE_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_GATE_AVERAGE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_GATE_MAXIMUM;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_GATE_START;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_GATE_STOP;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_OFFSET_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_USE_SEPARATE_FREQ;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_SEPARATE_FREQ_START;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_FREQUENCY_SEPARATE_FREQ_STOP;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_OFFSET_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_OFFSET;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_USE_SEPARATE_FREQ;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_POWER_SEPARATE_FREQ;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_OFFSET_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_OFFSET;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_USE_SEPARATE_FREQ;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_SENSOR_TIME_SEPARATE_FREQ;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_ALL_INDICATIONS_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_BASE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_BASE_CALCULATED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_DISTAL;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_DISTAL_CALCULATED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_MESIAL;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_MESIAL_CALCULATED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_PROXIMAL;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_DATA_PROXIMAL_CALCULATED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_DUTY_CYCLE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_DUTY_CYCLE_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_WIDTH;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_WIDTH_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_PERIOD;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_PERIOD_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_OFF_TIME;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_OFF_TIME_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_NOTIFICATION_PULSE_STATE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_RISE_TIME;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_RISE_TIME_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_FALL_TIME;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_FALL_TIME_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_START_TIME;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_START_TIME_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_STOP_TIME;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_STOP_TIME_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_RISING_EDGE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_RISING_EDGE_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_FALLING_EDGE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_TRANSITION_OVERSHOOT_FALLING_EDGE_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_POWER_MINIMAL;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_POWER_MINIMAL_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_POWER_PEAK;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_POWER_PEAK_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_POWER_AVERAGE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_POWER_AVERAGE_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_TOP;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_TOP_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_BASE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_BASE_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_DISTAL;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_DISTAL_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_MESIAL;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_MESIAL_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_PROXIMAL;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_PULSE_POWER_PROXIMAL_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_HYSTERESIS;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_DROP_OUT_TIME;
extern RsCoreAttribute g_RSSMX_ATTR_POWER_ANALYSIS_TRIGGER_AUTO_SET;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_FILE_NAME;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_EXECUTE;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_DEVICE;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_SIZE;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_FORMAT;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_CSV_HEADER_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_CSV_ORIENTATION;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_CSV_COLUMN_SEPARATOR;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_CSV_DECIMAL_SEPARATOR;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_DIRECTORY;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_CLEAR_DIRECTORY;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_PREFIX_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_PREFIX;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_YEAR_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_YEAR;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_MONTH_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_MONTH;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_DAY_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_DAY;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_NUMBER;
extern RsCoreAttribute g_RSSMX_ATTR_SCREENSHOT_AUTOMATIC_NAMING_FILE_NAME;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_ALL;
extern RsCoreAttribute g_RSSMX_ATTR_SAVE_IMMEDIATE;
extern RsCoreAttribute g_RSSMX_ATTR_RECALL_IMMEDIATE;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_DATE;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_INTERNAL_REFERENCE_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_CONTINUE_ON_ERROR;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_CLOCK_SYNTHESIS;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_LEVEL_BANDWIDTH;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_INTERNAL_MODULATION_GENERATOR;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_LAST_FULL_ADJUSTMENT;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_TEMPERATURE_OFFSET_TO_LAST_FULL_ADJUSTMENT;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_LOGGING;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_FM_OFFSET;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_LEVEL_CALIBRATION_DATA;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_LEVEL_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_LEVEL;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_INFORMATION;
extern RsCoreAttribute g_RSSMX_ATTR_CALIBRATION_TIME_SINCE_LAST_FULL_ADJUSTMENT;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_EXECUTE;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_GRAPHIC_FORMAT;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_REGION;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_FILE_NAME;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_GENERATED_AUTO_FILE_NAME;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_AUTO_FILE_DIRECTORY;
extern RsCoreAttribute g_RSSMX_ATTR_CLEAR_HARD_COPY_FILE;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_AUTO_FILE_NAME;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_AUTO_NAMING_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_DAY_TO_FILE_NAME;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_MONTH_TO_FILE_NAME;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_YEAR_TO_FILE_NAME;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_CURRENT_NUMBER;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_AUTO_PREFIX_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_HARD_COPY_FILE_NAME_PREFIX;
extern RsCoreAttribute g_RSSMX_ATTR_START_SELFTEST;
extern RsCoreAttribute g_RSSMX_ATTR_SELFTEST_RESULT;
extern RsCoreAttribute g_RSSMX_ATTR_KEYBOARD_LAYOUT;
extern RsCoreAttribute g_RSSMX_ATTR_DISPLAY_BRIGHTNESS;
extern RsCoreAttribute g_RSSMX_ATTR_DISPLAY_BUTTON_BRIGHTNESS;
extern RsCoreAttribute g_RSSMX_ATTR_DISPLAY_UPDATE;
extern RsCoreAttribute g_RSSMX_ATTR_DISPLAY_ANNOTATION_AMPLITUDE;
extern RsCoreAttribute g_RSSMX_ATTR_DISPLAY_ANNOTATION_FREQUENCY;
extern RsCoreAttribute g_RSSMX_ATTR_DISPLAY_ANNOTATION_ALL;
extern RsCoreAttribute g_RSSMX_ATTR_DISPLAY_DIALOG_ID;
extern RsCoreAttribute g_RSSMX_ATTR_DISPLAY_DIALOG_OPEN;
extern RsCoreAttribute g_RSSMX_ATTR_DISPLAY_DIALOG_CLOSE;
extern RsCoreAttribute g_RSSMX_ATTR_DISPLAY_DIALOG_CLOSE_ALL;
extern RsCoreAttribute g_RSSMX_ATTR_DISPLAY_POWER_SAVE_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_DISPLAY_POWER_SAVE_HOLDOFF;
extern RsCoreAttribute g_RSSMX_ATTR_MMEMORY_CHANGE_DIRECTORY;
extern RsCoreAttribute g_RSSMX_ATTR_MMEMORY_DELETE;
extern RsCoreAttribute g_RSSMX_ATTR_MMEMORY_MAKE_DIRECTORY;
extern RsCoreAttribute g_RSSMX_ATTR_MMEMORY_DRIVE;
extern RsCoreAttribute g_RSSMX_ATTR_MMEMORY_REMOVE_DIRECTORY;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_USER_INTERFACE_LOCK;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_DISPLAY_LOCK_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_KEYBOARD_LOCK;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_GPIB_RESOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_REBOOT;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_RESTART;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_SHUTDOWN;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_BEEPER;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_USB_RESOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_HISLIP_RESOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NETWORK_RESOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_SOCKET_RESOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_SERIAL_RESOURCE;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_SERIAL_BAUD;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_SERIAL_PARITY;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_SERIAL_STOP_BITS;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_EXPORT_HELP;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_SCPI_INFORMATION;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_OPTION_USER_DEFINED;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_ALL_DATA_SHEETS;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_DATA_SHEET_FACTORY_VERSION;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_DATA_SHEET_VERSION;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_DATA_SHEET_IDS;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_STARTUP_COMPLETE;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_DATE;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_TIME_ZONE_CATALOG;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_TIME_ZONE;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_UPTIME;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_BIOS_VERSION;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_OS_VERSION;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_USER_DIRECTORY;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_WAIT;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_DELETE_TEMPORARY_FILES;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NTP_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NTP_ADDRESS;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NETWORK_RESTART;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NETWORK_ENABLED;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NETWORK_DOMAIN;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NETWORK_MAC_ADDRESS;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NETWORK_HOSTNAME;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NETWORK_WORKGROUP;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS_MODE;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS_SUBNET_MASK;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NETWORK_IP_ADDRESS_GATEWAY;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_NETWORK_DNS_SERVER;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_ERROR_QUEUE_ALL;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_ERROR_QUEUE_CODE_ALL;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_ERROR_QUEUE_CODE_NEXT;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_ERROR_QUEUE_COUNT;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_ERROR_HISTORY;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_CLEAR_HISTORY;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_STATIC_ERRORS;
extern RsCoreAttribute g_RSSMX_ATTR_SYSTEM_ERROR_OLDEST;
extern RsCoreAttribute g_RSSMX_ATTR_STATUS_PRESET;
extern RsCoreAttribute g_RSSMX_ATTR_UNIT_ANGLE;
extern RsCoreAttribute g_RSSMX_ATTR_UNIT_POWER;
extern RsCoreAttribute g_RSSMX_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSSMX_ATTR_PRESET_DEVICE;
extern RsCoreAttribute g_RSSMX_ATTR_RESET_SIGNAL_PATH;
extern RsCoreAttribute g_RSSMX_ATTR_FACTORY_PRESET;
extern RsCoreAttribute g_RSSMX_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;
extern RsCoreAttribute g_RSSMX_ATTR_INIT_SW_TRIGGER;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rssmx_RsCoreRepCapTable[];
extern ViInt32 rssmx_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rssmx_RsCoreAttributeList[];
extern ViInt32 rssmx_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSSMX_ATTRIBUTES_HEADER */
