/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#pragma once
#include <visatype.h>

ViStatus rssmx_InitAttributes(ViSession instrSession);

ViStatus rssmx_DefaultInstrSetup(ViSession instrSession);

ViStatus rssmx_CheckStatus(ViSession instrSession);

ViStatus rssmx_pathRepCap(ViSession instrSession,
                          ViInt32   path,
                          ViChar    repCap[]);

ViStatus rssmx_QueryCatalog(ViSession instrSession,
                            ViString  cmd,
                            ViUInt32  arraySize,
                            ViChar    catalog[],
                            ViUInt32* bytesRead);

ViStatus rssmx_WriteViReal64Array(ViSession instrSession,
                                  ViString  cmd,
                                  ViUInt32  arraySize,
                                  ViReal64  array[]);

ViStatus rssmx_LFRepCap(ViSession instrSession,
                        ViInt32   lf,
                        ViChar    repCap[]);

ViStatus rssmx_SensorRepCap(ViSession instrSession,
                            ViInt32   sensor,
                            ViChar    repCap[]);

ViStatus rssmx_utility_error_message(ViSession instrSession,
                                     ViStatus  errorCode,
                                     ViChar    errorMessage[]);
